/**
 * @program: kicc-ui
 * @description: 发布构建成功后附加一些处理逻辑操作
 * @author: wangxiang4
 * @create: 2022/4/6
 */

import { runBuildConfig } from './buildConf';
import colors from 'picocolors';
import pkg from '../../package.json';

export const runBuild = async () => {
  try {
    const argvList = process.argv.splice(2);

    // 生成配置文件
    if (!argvList.includes('disabled-config')) {
      runBuildConfig();
    }

    console.log(`✨ ${colors.cyan(`[${pkg.name}]`)}` + ' - build successfully!');
  } catch (error) {
    console.log(colors.red('vite build error:\n' + error));
    process.exit(1);
  }
};

(runBuild)();
