/**
 * @program: kicc-ui
 * @description: 数据相关实体类
 * 类型定义
 * @author: wangxiang4
 * @create: 2022/4/8
 */

import { BaseEntity } from '/@/api/common/base/entity';

/** 分页模型 */
export interface Page {
  size: number;
  current: number;
  total: number;
  [key: string]: any;
}

/** 通用模型 */
export interface CommonEntity extends BaseEntity {
  createById: string;
  createByName: string;
  createTime: string;
  updateById: string;
  updateByName: string;
  updateTime: string;
  remarks: string;
}

/** 树结构模型 */
export interface TreeEntity<T = any> extends CommonEntity {
  id:string;
  parentId: string;
  name: string;
  sort: number;
  children: T[]
}
