/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { DoctorParams, Doctor, DoctorResult } from '/@/api/platform/common/entity/doctor';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/doctor/list',
  get = '/common_proxy/common/doctor',
  save = '/common_proxy/common/doctor/save',
  edit = '/common_proxy/common/doctor/update',
  del = '/common_proxy/common/doctor/remove'
}

export const listDoctor = (params?: Partial<DoctorParams>) => defHttp.get<DoctorResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addDoctor = (params: Partial<Doctor>) => defHttp.post({ url: Api.save, data: params });

export const editDoctor = (params: Partial<Doctor>) => defHttp.put({ url: Api.edit, data: params });

export const getDoctor = (id: string) => defHttp.get<Doctor>({ url: `${Api.get}/${id}` });

export const delDoctor = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
