/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { HospitalParams, Hospital, HospitalResult } from '/@/api/platform/common/entity/hospital';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/hospital/list',
  get = '/common_proxy/common/hospital',
  save = '/common_proxy/common/hospital/save',
  edit = '/common_proxy/common/hospital/update',
  del = '/common_proxy/common/hospital/remove'
}

export const listHospital = (params: Partial<HospitalParams>) => defHttp.get<HospitalResult>({url: Api.list, params}, { isReturnResultResponse: true });

export const addHospital = (params: Partial<Hospital>)=> defHttp.post({url: Api.save ,data: params});

export const editHospital = (params: Partial<Hospital>) => defHttp.put({url: Api.edit, data: params});

export const getHospital = (id: string) => defHttp.get<Hospital>({url: `${Api.get}/${id}` });

export const delHospital = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
