/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import type { MapLogisticParams, MapLogistic, MapLogisticResult } from '../entity/mapLogistic';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/mapLogistic/list',
  getMapDataByCourierUserId = '/common_proxy/common/mapLogistic/getMapDataByCourierUserId',
  saveOrUpdate = '/common_proxy/common/mapLogistic/saveOrUpdate',
  del = '/common_proxy/common/mapLogistic/remove'
}

export const listMapLogistic = (params?: Partial<MapLogisticParams>) => defHttp.get({ url: Api.list, params }, { isReturnResultResponse: true });

export const saveOrUpdateMapLogistic = (params: Partial<MapLogistic>) => defHttp.post({ url: Api.saveOrUpdate, data: params });

export const getMapDataByCourierUserId = (courierUserId: string) => defHttp.get<MapLogistic>({ url: `${Api.getMapDataByCourierUserId}/${courierUserId}` });

export const delMapLogistic = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
