/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import type { MapLogisticPointParams, MapLogisticPoint, MapLogisticPointResult } from '../entity/mapLogisticPoint';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/mapLogisticPoint/list',
  get = '/common_proxy/common/mapLogisticPoint',
  add = '/common_proxy/common/mapLogisticPoint/save',
  edit = '/common_proxy/common/mapLogisticPoint/update',
  del = '/common_proxy/common/mapLogisticPoint/remove',
  getTaskPresetPointByCourierUserId = '/common_proxy/common/mapLogisticPoint/getTaskPresetPointByCourierUserId'
}

export const listMapLogisticPoint = (params?: Partial<MapLogisticPointParams>) => defHttp.get<MapLogisticPointResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addMapLogisticPoint = (params: Partial<MapLogisticPoint>) => defHttp.post({ url: Api.add, data: params });

export const editMapLogisticPoint = (params: Partial<MapLogisticPoint>) => defHttp.put({ url: Api.edit, data: params });

export const getMapLogisticPoint = (id: string) => defHttp.get<MapLogisticPoint>({ url: `${Api.get}/${id}` });

export const getTaskPresetPointByCourierUserId = (courierUserId: string) => defHttp.get<MapLogisticPoint[]>({ url: `${Api.getTaskPresetPointByCourierUserId}/${courierUserId}` });

export const delMapLogisticPoint = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
