/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import type { MapTaskPresetParams, MapTaskPreset, MapTaskPresetResult } from '../entity/mapTaskPreset';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/mapTaskPreset/list',
  get = '/common_proxy/common/mapTaskPreset',
  add = '/common_proxy/common/mapTaskPreset/save',
  edit = '/common_proxy/common/mapTaskPreset/update',
  del = '/common_proxy/common/mapTaskPreset/remove'
}

export const listMapTaskPreset = (params?: Partial<MapTaskPresetParams>) => defHttp.get<MapTaskPresetResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addMapTaskPreset = (params: Partial<MapTaskPreset>) => defHttp.post({ url: Api.add, data: params });

export const editMapTaskPreset = (params: Partial<MapTaskPreset>) => defHttp.put({ url: Api.edit, data: params });

export const getMapTaskPreset = (id: string) => defHttp.get<MapTaskPreset>({ url: `${Api.get}/${id}` });

export const delMapTaskPreset = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
