/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { OfficeParams, Office, OfficeResult } from '/@/api/platform/common/entity/office';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/office/list',
  save = '/common_proxy/common/office/save',
  edit = '/common_proxy/common/office/update',
  del = '/common_proxy/common/office/remove',
  get = '/common_proxy/common/office'
}

export const listOffice = (params?: Partial<OfficeParams>) => defHttp.get<OfficeResult>({url: Api.list, params}, { isReturnResultResponse: true });

export const addOffice = (params: Partial<Office>) => defHttp.post({ url: Api.save, data: params });

export const editOffice = (params: Partial<Office>) => defHttp.put({ url: Api.edit, data: params });

export const getOffice = (id: string) => defHttp.get<Office>({ url: `${Api.get}/${id}` });

export const delOffice = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
