/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import type { ProjectParams, Project, ProjectResult } from '../entity/project';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/project/list',
  get = '/common_proxy/common/project',
  add = '/common_proxy/common/project/save',
  edit = '/common_proxy/common/project/update',
  del = '/common_proxy/common/project/remove'
}

export const listProject = (params?: Partial<ProjectParams>) => defHttp.get({ url: Api.list, params });

export const addProject = (params: Partial<Project>) => defHttp.post({ url: Api.add, data: params });

export const editProject = (params: Partial<Project>) => defHttp.put({ url: Api.edit, data: params });

export const getProject = (id: string) => defHttp.get<Project>({ url: `${Api.get}/${id}` });

export const delProject = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
