/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import type { PushApplication, PushApplicationParams, PushApplicationResult } from '/@/api/platform/common/entity/pushApplication';
import { defHttp } from '/@/utils/http/axios';
import type { PushChatMessage } from '/@/api/platform/common/entity/pushChatMessage';

enum Api {
  list = '/common_proxy/common/pushApplication/list',
  add = '/common_proxy/common/pushApplication/save',
  get = '/common_proxy/common/pushApplication',
  edit = '/common_proxy/common/pushApplication/update',
  del = '/common_proxy/common/pushApplication/remove',
  send = '/common_proxy/common/pushApplication/enterpriseSend'
}

export const listPushApplication = (params?: Partial<PushApplicationParams>) => defHttp.get<PushApplicationResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addPushApplication = (params: Partial<PushApplication>) => defHttp.post({ url: Api.add, data: params });

export const sendMessage = (params: Partial<PushChatMessage>) => defHttp.post({ url: Api.send, data: params });

export const editPushApplication = (params: Partial<PushApplication>) => defHttp.put({ url: Api.edit, data: params });

export const getPushApplication = (id: string) => defHttp.get<PushApplication>({ url: `${Api.get}/${id}` });

export const delPushApplication = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
