/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import type { PushBlacklist, PushBlacklistParams, PushBlacklistResult } from '/@/api/platform/common/entity/pushBlacklist';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/pushBlacklist/list',
  getById = '/common_proxy/common/pushBlacklist/getById',
  add = '/common_proxy/common/pushBlacklist/save',
  edit = '/common_proxy/common/pushBlacklist/update',
  del = '/common_proxy/common/pushBlacklist/remove',
}

export const listPushBlacklist = (params?: Partial<PushBlacklistParams>) => defHttp.get<PushBlacklistResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addPushBlacklist = (params: Partial<PushBlacklist>) => defHttp.post({ url: Api.add, data: params });

export const editPushBlacklist = (params: Partial<PushBlacklist>) => defHttp.put({ url: Api.edit, data: params });

export const getPushBlacklist = (params: Partial<PushBlacklist>) => defHttp.get<PushBlacklist>({ url: Api.getById, params });

export const delPushBlacklist = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
