/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import type { PushChatGroup, PushChatGroupParams, PushChatGroupResult } from '/@/api/platform/common/entity/pushChatGroup';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/pushChatGroup/list',
  get = '/common_proxy/common/pushChatGroup',
  add = '/common_proxy/common/pushChatGroup/save',
  edit = '/common_proxy/common/pushChatGroup/update',
  del = '/common_proxy/common/pushChatGroup/remove',
  rejectAuth = '/common_proxy/common/pushChatGroup/rejectAuth',
}

export const listPushChatGroup = (params?: Partial<PushChatGroupParams>) => defHttp.get<PushChatGroup[]>({ url: Api.list, params });

export const addPushChatGroup = (params: Partial<PushChatGroup>) => defHttp.post({ url: Api.add, data: params });

export const editPushChatGroup = (params: Partial<PushChatGroup>) => defHttp.put({ url: Api.edit, data: params });

export const getPushChatGroup = (id: string) => defHttp.get<PushChatGroup>({ url: `${Api.get}/${id}` });

export const delPushChatGroup = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });

export const rejectAuthPushChatGroup = (ids: string) => defHttp.put({ url: `${Api.rejectAuth}/${ids}` });
