/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import type { PushChatGroupType, PushChatGroupParams, PushChatTypeResult } from '/@/api/platform/common/entity/pushChatGroupType';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/pushChatGroupType/list',
  get = '/common_proxy/common/pushChatGroupType',
  add = '/common_proxy/common/pushChatGroupType/save',
  edit = '/common_proxy/common/pushChatGroupType/update',
  del = '/common_proxy/common/pushChatGroupType/remove',
}

export const listPushChatGroupType = (params?: Partial<PushChatGroupParams>) => defHttp.get<PushChatTypeResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addPushChatGroupType = (params: Partial<PushChatGroupType>) => defHttp.post({ url: Api.add, data: params });

export const editPushChatGroupType = (params: Partial<PushChatGroupType>) => defHttp.put({ url: Api.edit, data: params });

export const getPushChatGroupType = (id: string) => defHttp.get<PushChatGroupType>({ url: `${Api.get}/${id}` });

export const delPushChatGroupType = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
