/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import type { PushChatMessage, PushChatMessageParams, PushChatMessageResult } from '/@/api/platform/common/entity/pushChatMessage';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/pushChatMessage/list',
  get = '/common_proxy/common/pushChatMessage',
  add = '/common_proxy/common/pushChatMessage/save',
  edit = '/common_proxy/common/pushChatMessage/update',
  del = '/common_proxy/common/pushChatMessage/remove',
}

export const listPushChatMessage = (params?: Partial<PushChatMessageParams>) => defHttp.get<PushChatMessageResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addPushChatMessage = (params: Partial<PushChatMessage>) => defHttp.post({ url: Api.add, data: params });

export const editPushChatMessage = (params: Partial<PushChatMessage>) => defHttp.put({ url: Api.edit, data: params });

export const getPushChatMessage = (id: string) => defHttp.get<PushChatMessage>({ url: `${Api.get}/${id}` });

export const delPushChatMessage = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
