import type { PushConcernFanType, PushConcernFanTypeParams, PushConcernFanTypeResult } from '/@/api/platform/common/entity/pushConcernFanType';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/pushConcernFanType/list',
  get = '/common_proxy/common/pushConcernFanType',
  add = '/common_proxy/common/pushConcernFanType/save',
  edit = '/common_proxy/common/pushConcernFanType/update',
  del = '/common_proxy/common/pushConcernFanType/remove',
  setDefaultType = '/common_proxy/common/pushConcernFanType/setDefaultType'
}

export const listPushConcernFanType = (params?: Partial<PushConcernFanTypeParams>) => defHttp.get<PushConcernFanTypeResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addPushConcernFanType = (params: Partial<PushConcernFanType>) => defHttp.post({ url: Api.add, data: params });

export const editPushConcernFanType = (params: Partial<PushConcernFanType>) => defHttp.put({ url: Api.edit, data: params });

export const getPushConcernFanType = (id: string) => defHttp.get<PushConcernFanType>({ url: `${Api.get}/${id}` });

export const delPushConcernFanType = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });

export const setDefaultType = (params: Partial<PushConcernFanType>) => defHttp.put({ url: Api.setDefaultType, data: params });
