import type { PushEnterprise, PushEnterpriseParams, PushEnterpriseResult } from '/@/api/platform/common/entity/pushEnterprise';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/pushEnterprise/list',
  get = '/common_proxy/common/pushEnterprise',
  getAuthData = '/common_proxy/common/pushEnterprise/getAuthData',
  add = '/common_proxy/common/pushEnterprise/save',
  edit = '/common_proxy/common/pushEnterprise/update',
  del = '/common_proxy/common/pushEnterprise/remove',
  rejectAuth = '/common_proxy/common/pushEnterprise/rejectAuth',
  updateAuditStatus = '/common_proxy/common/pushEnterprise/updateAuditStatus',
}

export const listPushEnterprise = (params?: Partial<PushEnterpriseParams>) => defHttp.get<PushEnterpriseResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addPushEnterprise = (params: Partial<PushEnterprise>) => defHttp.post({ url: Api.add, data: params });

export const editPushEnterprise = (params: Partial<PushEnterprise>) => defHttp.put({ url: Api.edit, data: params });

export const getPushEnterprise = (id: string) => defHttp.get<PushEnterprise>({ url: `${Api.get}/${id}` });

export const getAuthData = () => defHttp.get<PushEnterprise>({ url: Api.getAuthData });

export const delPushEnterprise = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });

export const updatePushEnterpriseAuditStatus = (status: number) => defHttp.put({ url: `${Api.updateAuditStatus}/${status}` });

export const rejectAuthPushEnterprise = (ids: string) => defHttp.put({ url: `${Api.rejectAuth}/${ids}` });
