import type { PushRingtone, PushRingtoneParams, PushRingtoneResult } from '/@/api/platform/common/entity/pushRingtone';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/pushRingtone/list',
  get = '/common_proxy/common/pushRingtone',
  add = '/common_proxy/common/pushRingtone/save',
  edit = '/common_proxy/common/pushRingtone/update',
  del = '/common_proxy/common/pushRingtone/remove',
}

export const listPushRingtone = (params?: Partial<PushRingtoneParams>) => defHttp.get<PushRingtoneResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addPushRingtone = (params: Partial<PushRingtone>) => defHttp.post({ url: Api.add, data: params });

export const editPushRingtone = (params: Partial<PushRingtone>) => defHttp.put({ url: Api.edit, data: params });

export const getPushRingtone = (id: string) => defHttp.get<PushRingtone>({ url: `${Api.get}/${id}` });

export const delPushRingtone = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
