import type { PushType, PushTypeParams, PushTypeResult } from '/@/api/platform/common/entity/pushType';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/common_proxy/common/pushType/list',
  get = '/common_proxy/common/pushType',
  add = '/common_proxy/common/pushType/save',
  edit = '/common_proxy/common/pushType/update',
  del = '/common_proxy/common/pushType/remove',
  setDefaultType = '/common_proxy/common/pushType/setDefaultType'
}

export const listPushType = (params?: Partial<PushTypeParams>) => defHttp.get<PushTypeResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addPushType = (params: Partial<PushType>) => defHttp.post({ url: Api.add, data: params });

export const editPushType = (params: Partial<PushType>) => defHttp.put({ url: Api.edit, data: params });

export const getPushType = (id: string) => defHttp.get<PushType>({ url: `${Api.get}/${id}` });

export const delPushType = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });

export const setDefaultType = (params: Partial<PushType>) => defHttp.put({ url: Api.setDefaultType, data: params });
