import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';
import { CommonEntity } from '/@/api/common/data/entity';

/** 医生查询参数 */
export type DoctorParams = Page & Doctor;

/** 医生对象 */
export interface Doctor extends CommonEntity {
    id: string;
    name: string;
    title: string;
    sex: string;
    phone: string;
    email: string;
    detailAddress: string;
    orgType: string;
    orgId: string;
    orgName: string;
    officeId: string;
    officeName: string;
    status: string;
}

/** 医生响应对象 */
export type DoctorResult = R<Doctor[]>;
