import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';
import { CommonEntity } from '/@/api/common/data/entity';

/** 医院查询参数 */
export type HospitalParams = Hospital & Page;

/** 医院对象 */
export  interface Hospital extends CommonEntity {
    id: string;
    name: string;
    type: string;
    contactName: string;
    contactPhone: string;
    contactTitle: string;
    payment: string;
    regionIds: string;
    detailAddress: string;
    status: string;
    mapOrientation: number;
    mapLng: number;
    mapLat: number;
    mapNotify: string;
    orgIds: string[];
}

/** 医院响应对象 */
export type HospitalResult = R<Hospital[]>;
