
/**
 * @program: kicc-ui
 * @description: 地图任务主表实体类
 * @author: wangxiang4
 * @since: 2022/8/24
 */

import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';
import type { MapTask } from './mapTask';
import type { MapLogisticPoint } from './mapLogisticPoint';

export type MapLogisticParams = Page & MapLogistic;

export interface MapLogistic extends Partial<CommonEntity> {
    id?: string;
    name: string;
    courierUserId: string;
    courierUserName: string;
    courierLng: Nullable<number>;
    courierLat: Nullable<number>;
    sendOrderId: string;
    sendOrderName: string;
    sendOrderTaskType: string;
    sendOrderLng: Nullable<number>;
    sendOrderLat: Nullable<number>;
    version?: number;
    mapTask: MapTask[];
    mapLogisticPoint: MapLogisticPoint[];
    mapTaskPresetLogisticPoint: MapLogisticPoint[];
}

export type MapLogisticResult = R<MapLogistic[]>;
