
/**
 * @program: kicc-ui
 * @description: 地图任务表实体类
 * @author: wangxiang4
 * @since: 2022/8/24
 */

import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';
import type { MapTaskPreset } from './mapTaskPreset';

export type MapTaskParams = Page & MapTask;

export interface MapTask extends Partial<CommonEntity> {
    id?: string;
    name: string;
    sort?: number;
    taskType: string;
    hospitalId: string;
    hospitalName?: string;
    hospitalLng?: number;
    hospitalLat?: number;
    orgId: string;
    orgName: string;
    orgLng?: number;
    orgLat?: number;
    courierUserId?: string;
    fileId: string | string[];
    receiptFileId: string | string[];
    estimateTime?: string;
    requireTime?: string;
    batchCode?: string;
    mapLogisticId?: string;
    key?: string;
    version?: number;
    mapTaskPreset?: MapTaskPreset[]
}

export type MapTaskResult = R<MapTask[]>;
