
/**
 * @program: kicc-ui
 * @description: 地图任务交接预设表实体类
 * @author: wangxiang4
 * @since: 2022/8/24
 */

import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';

export type MapTaskPresetParams = Page & MapTaskPreset;

export interface MapTaskPreset extends Partial<CommonEntity> {
    id?: string;
    name: string;
    sort?: number;
    orginPresetId?: string;
    orginPresetName?: string;
    orginPresetLng?: number;
    orginPresetLat?: number;
    destinationPresetId?: string;
    destinationPresetName?: string;
    destinationPresetLng?: number;
    destinationPresetLat?: number;
    courierUserId: string;
    key?: string;
    fileId: string | string[];
    receiptFileId: string | string[];
    estimateTime?: string;
    requireTime?: string;
    batchCode?: string;
    mapLogisticId?: string;
    taskId?: string;
    version?: number;
}

export type MapTaskPresetResult = R<MapTaskPreset[]>;
