/**
 * @program: kicc-ui
 * @description: 核心用户实体类
 * 类型定义
 * @author: wangxiang4
 * @create: 2022/4/8
 */
import type { CasUser } from '/@/api/common/base/entity';
import type { RequestOptions } from '/#/axios';

/** 登录参数对象 */
export interface LoginParams {
  username: string;
  password: string;
  realKey?: string;
  code?: string;
  clientId?: string;
  options?: RequestOptions;
  performPostLoginAction?: boolean;
  [key: string]: any;
}

/** 令牌增强输出对象 */
export interface TokenEnhancer {
  access_token: string;
  clientId: string;
  expires_in: number;
  license: string;
  refresh_token: string;
  scope: string;
  token_type: string;
  user_info: CasUser;
}

/** 验证码对象 */
export interface Captcha {
  // 验证码地址
  img: string;
  // redis拿取验证码唯一key
  realKey: string;
}
