import type { ReportSystemFile, ReportSystemFileParams, ReportSystemFileResult } from '/@/api/platform/report/entity/reportSystemFile';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/report_proxy/report/rest/list',
  get = '/report_proxy/report/rest',
  del = '/report_proxy/report/rest/remove',
}

/** 查询报表列表 */
export const listReportSystemFile = (params?: Partial<ReportSystemFileParams>) => defHttp.get<ReportSystemFileResult>({ url: Api.list, params }, { isReturnResultResponse: true });

/** 查询报表详细 */
export const getReportSystemFile = (id: string) => defHttp.get<ReportSystemFile>({ url: `${Api.get}/${id}` });

/** 删除报表 */
export const delReportSystemFile = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
