import type { GenCodeParamResult, GenCodeParamParams, GenCodeParam } from '/@/api/platform/system/entity/genCodeParam';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/system_proxy/system/devtools/genCodeParam/list',
  add = '/system_proxy/system/devtools/genCodeParam/save',
  get = '/system_proxy/system/devtools/genCodeParam',
  edit = '/system_proxy/system/devtools/genCodeParam/update',
  del = '/system_proxy/system/devtools/genCodeParam/remove'
}

export const listGenCodeParam = (params?: Partial<GenCodeParamParams>) => defHttp.get<GenCodeParamResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addGenCodeParam = (params: Partial<GenCodeParam>) => defHttp.post({ url: Api.add, data: params });

export const editGenCodeParam = (params: Partial<GenCodeParam>) => defHttp.put({ url: Api.edit, data: params });

export const getGenCodeParam = (id: string) => defHttp.get<GenCodeParam>({ url: `${Api.get}/${id}` });

export const delGenCodeParam = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
