import type { GenDatabaseTypeParams, GenDatabaseType, GenDatabaseTypeResult } from '/@/api/platform/system/entity/genDatabaseType';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/system_proxy/system/devtools/genDatabaseType/list',
  selectListByType = '/system_proxy/system/devtools/genDatabaseType/selectListByType',
  add = '/system_proxy/system/devtools/genDatabaseType/save',
  get = '/system_proxy/system/devtools/genDatabaseType',
  edit = '/system_proxy/system/devtools/genDatabaseType/update',
  saveAndGenTableFieldType = '/system_proxy/system/devtools/genDatabaseType/saveAndGenTableFieldType',
  del = '/system_proxy/system/devtools/genDatabaseType/remove',
}

export const listGenDatabaseType = (params?: Partial<GenDatabaseTypeParams>) => defHttp.get<GenDatabaseTypeResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const selectListByType = (type: string) => defHttp.get<GenDatabaseType[]>({ url: `${Api.selectListByType}/${type}` });

export const addGenDatabaseType = (params: Partial<GenDatabaseType>) => defHttp.post({ url: Api.add, data: params });

export const editGenDatabaseType = (params: Partial<GenDatabaseType>) => defHttp.put({ url: Api.edit, data: params });

export const saveAndGenTableFieldType = (params: Partial<GenDatabaseType>) => defHttp.put({ url: Api.saveAndGenTableFieldType, data: params });

export const getGenDatabaseType = (id: string) => defHttp.get<GenDatabaseType>({ url: `${Api.get}/${id}` });

export const delGenDatabaseType = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
