import type { GenQueryType, GenQueryTypeResult, GenQueryTypeParams } from '/@/api/platform/system/entity/genQueryType';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/system_proxy/system/devtools/genQueryType/list',
  add = '/system_proxy/system/devtools/genQueryType/save',
  get = '/system_proxy/system/devtools/genQueryType',
  edit = '/system_proxy/system/devtools/genQueryType/update',
  del = '/system_proxy/system/devtools/genQueryType/remove'
}

export const listGenQueryType = (params?: Partial<GenQueryTypeParams>) => defHttp.get<GenQueryTypeResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addGenQueryType = (params: Partial<GenQueryType>) => defHttp.post({ url: Api.add, data: params });

export const editGenQueryType = (params: Partial<GenQueryType>) => defHttp.put({ url: Api.edit, data: params });

export const getGenQueryType = (id: string) => defHttp.get<GenQueryType>({ url: `${Api.get}/${id}` });

export const delGenQueryType = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
