import type { GenShowType, GenShowTypeParams, GenShowTypeResult } from '/@/api/platform/system/entity/genShowType';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/system_proxy/system/devtools/genShowType/list',
  add = '/system_proxy/system/devtools/genShowType/save',
  get = '/system_proxy/system/devtools/genShowType',
  edit = '/system_proxy/system/devtools/genShowType/update',
  del = '/system_proxy/system/devtools/genShowType/remove'
}

export const listGenShowType = (params?: Partial<GenShowTypeParams>) => defHttp.get<GenShowTypeResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addGenShowType = (params: Partial<GenShowType>) => defHttp.post({ url: Api.add, data: params });

export const editGenShowType = (params: Partial<GenShowType>) => defHttp.put({ url: Api.edit, data: params });

export const getGenShowType = (id: string) => defHttp.get<GenShowType>({ url: `${Api.get}/${id}` });

export const delGenShowType = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
