import type { GenTableFieldTypeParams, GenTableFieldType, GenTableFieldTypeResult } from '/@/api/platform/system/entity/genTableFieldType';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/system_proxy/system/devtools/genTableFieldType/list',
  add = '/system_proxy/system/devtools/genTableFieldType/save',
  get = '/system_proxy/system/devtools/genTableFieldType',
  edit = '/system_proxy/system/devtools/genTableFieldType/update',
  del = '/system_proxy/system/devtools/genTableFieldType/remove',
}

export const listGenTableFieldType = (params?: Partial<GenTableFieldTypeParams>) => defHttp.get<GenTableFieldTypeResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addGenTableFieldType = (params: Partial<GenTableFieldType>) => defHttp.post({ url: Api.add, data: params });

export const editGenTableFieldType = (params: Partial<GenTableFieldType>) => defHttp.put({ url: Api.edit, data: params });

export const getGenTableFieldType = (id: string) => defHttp.get<GenTableFieldType>({ url: `${Api.get}/${id}` });

export const delGenTableFieldType = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
