import type { GenValidateType, GenValidateTypeParams, GenValidateTypeResult } from '/@/api/platform/system/entity/genValidateType';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/system_proxy/system/devtools/genValidateType/list',
  add = '/system_proxy/system/devtools/genValidateType/save',
  get = '/system_proxy/system/devtools/genValidateType',
  edit = '/system_proxy/system/devtools/genValidateType/update',
  del = '/system_proxy/system/devtools/genValidateType/remove'
}

export const listGenValidateType = (params?: Partial<GenValidateTypeParams>) => defHttp.get<GenValidateTypeResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addGenValidateType = (params: Partial<GenValidateType>) => defHttp.post({ url: Api.add, data: params });

export const editGenValidateType = (params: Partial<GenValidateType>) => defHttp.put({ url: Api.edit, data: params });

export const getGenValidateType = (id: string) => defHttp.get<GenValidateType>({ url: `${Api.get}/${id}` });

export const delGenValidateType = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
