import type { GencodeCustomFieldParams, GencodeCustomField, GencodeCustomFieldResult } from '/@/api/platform/system/entity/gencodeCustomField';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/system_proxy/system/devtools/gencodeCustomField/list',
  add = '/system_proxy/system/devtools/gencodeCustomField/save',
  get = '/system_proxy/system/devtools/gencodeCustomField',
  edit = '/system_proxy/system/devtools/gencodeCustomField/update',
  del = '/system_proxy/system/devtools/gencodeCustomField/remove',
}

export const listGencodeCustomField = (params?: Partial<GencodeCustomFieldParams>) => defHttp.get<GencodeCustomFieldResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addGencodeCustomField = (params: Partial<GencodeCustomField>) => defHttp.post({ url: Api.add, data: params });

export const editGencodeCustomField = (params: Partial<GencodeCustomField>) => defHttp.put({ url: Api.edit, data: params });

export const getGencodeCustomField = (id: string) => defHttp.get<GencodeCustomField>({ url: `${Api.get}/${id}` });

export const delGencodeCustomField = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
