import type { GencodeCustomObjParams, GencodeCustomObj, GencodeCustomObjResult } from '/@/api/platform/system/entity/gencodeCustomObj';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/system_proxy/system/devtools/gencodeCustomObj/list',
  selectListByValue = '/system_proxy/system/devtools/gencodeCustomObj/selectListByValue',
  add = '/system_proxy/system/devtools/gencodeCustomObj/save',
  get = '/system_proxy/system/devtools/gencodeCustomObj',
  edit = '/system_proxy/system/devtools/gencodeCustomObj/update',
  saveAndGencodeCustomField = '/system_proxy/system/devtools/gencodeCustomObj/saveAndGencodeCustomField',
  del = '/system_proxy/system/devtools/gencodeCustomObj/remove',
}

export const listGencodeCustomObj = (params?: Partial<GencodeCustomObjParams>) => defHttp.get<GencodeCustomObjResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const selectListByValue = (value: string) => defHttp.get<GencodeCustomObj[]>({ url: Api.selectListByValue, params: { value } });

export const addGencodeCustomObj = (params: Partial<GencodeCustomObj>) => defHttp.post({ url: Api.add, data: params });

export const editGencodeCustomObj = (params: Partial<GencodeCustomObj>) => defHttp.put({ url: Api.edit, data: params });

export const saveAndGencodeCustomField = (params: Partial<GencodeCustomObj>) => defHttp.put({ url: Api.saveAndGencodeCustomField, data: params });

export const getGencodeCustomObj = (id: string) => defHttp.get<GencodeCustomObj>({ url: `${Api.get}/${id}` });

export const delGencodeCustomObj = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
