import type { GencodeTemplateGroup, GencodeTemplateGroupParams, GencodeTemplateGroupResult } from '/@/api/platform/system/entity/gencodeTemplateGroup';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/system_proxy/system/devtools/genCodeTemplateGroup/list',
  add = '/system_proxy/system/devtools/genCodeTemplateGroup/save',
  get = '/system_proxy/system/devtools/genCodeTemplateGroup',
  edit = '/system_proxy/system/devtools/genCodeTemplateGroup/update',
  del = '/system_proxy/system/devtools/genCodeTemplateGroup/remove',
  saveAndGencodeTemplateObj = '/system_proxy/system/devtools/genCodeTemplateGroup/saveAndGencodeTemplateObj',
  copy = '/system_proxy/system/devtools/genCodeTemplateGroup/copy'
}

export const listGenCodeTemplateGroup = (params?: Partial<GencodeTemplateGroupParams>) => defHttp.get<GencodeTemplateGroupResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addGenCodeTemplateGroup = (params: Partial<GencodeTemplateGroup>) => defHttp.post({ url: Api.add, data: params });

export const editGenCodeTemplateGroup = (params: Partial<GencodeTemplateGroup>) => defHttp.put({ url: Api.edit, data: params });

export const saveAndGencodeTemplateObj = (params: Partial<GencodeTemplateGroup>) => defHttp.put({ url: Api.saveAndGencodeTemplateObj, data: params });

export const copyGenCodeTemplateGroup = (params: Partial<GencodeTemplateGroup>) => defHttp.post({ url: Api.copy, data: params });

export const getGenCodeTemplateGroup = (id: string) => defHttp.get<GencodeTemplateGroup>({ url: `${Api.get}/${id}` });

export const delGenCodeTemplateGroup = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
