import type { GencodeTemplateObj, GencodeTemplateObjParams, GencodeTemplateObjResult } from '/@/api/platform/system/entity/gencodeTemplateObj';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/system_proxy/system/devtools/gencodeTemplateObj/list',
  add = '/system_proxy/system/devtools/gencodeTemplateObj/save',
  get = '/system_proxy/system/devtools/gencodeTemplateObj',
  edit = '/system_proxy/system/devtools/gencodeTemplateObj/update',
  del = '/system_proxy/system/devtools/gencodeTemplateObj/remove'
}

export const listGencodeTemplateObj = (params?: Partial<GencodeTemplateObjParams>) => defHttp.get<GencodeTemplateObjResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addGencodeTemplateObj = (params: Partial<GencodeTemplateObj>) => defHttp.post({ url: Api.add, data: params });

export const editGencodeTemplateObj = (params: Partial<GencodeTemplateObj>) => defHttp.put({ url: Api.edit, data: params });

export const getGencodeTemplateObj = (id: string) => defHttp.get<GencodeTemplateObj>({ url: `${Api.get}/${id}` });

export const delGencodeTemplateObj = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
