/**
 * @program: kicc-ui
 * @description: 文件实体类
 * 类型定义
 * @author: wangxiang4
 * @create: 2022/4/8
 */
import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';

/** 文件查询参数 */
export type FileParams = Page & OssFile;

/** 文件对象 */
export interface OssFile extends CommonEntity {
    id: string;
    fileName: string;
    bucketName: string;
    original: string;
    type: string;
    fileSize: number;
    availablePath: string;
    duration: number;
    mimeType: string;
    [key: string]: any;
}

/** 文件响应对象 */
export type FileResult = R<OssFile[]>;
