/**
 * @program: kicc-ui
 * @description: SSO用户统一实体类
 * 类型定义
 * @author: wangxiang4
 * @create: 2022/4/8
 */
import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';
import { CommonEntity } from '/@/api/common/data/entity';

/** SSO用户查询参数 */
export type SsoUserParams = Page & SsoUser;

/** SSO用户对象 */
export interface SsoUser extends CommonEntity {
  // 用户id
  id: string;
  // 用户名
  userName: string;
  // 昵称
  nickName: string;
  // 用户密码
  password: string;
  // 邮箱
  email: string;
  // 手机号
  phone: string;
  // 用户性别
  sex: string;
  // 头像
  avatar: string;
  // 最后登陆IP
  loginIp: string;
  // 帐号状态（0正常 1停用）
  status: string;
  // 最后登陆时间
  loginTime: string;
  [key: string]: any;
}

/** SSO用户对象 */
export type SsoUserResult = R<SsoUser[]>;
