/**
 * @program: kicc-ui
 * @description: 用户实体类
 * 类型定义
 * @author: wangxiang4
 * @create: 2022/4/8
 */
import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';
import { KiccUser } from '/@/api/common/base/entity';

/** 用户查询参数 */
export type UserParams = Page & User;

/** 用户对象 */
export interface User extends CommonEntity {
  // 系统用户id
  id: string;
  // CAS用户ID
  casUserId: string;
  // 用户类型
  userType: string;
  // 所属部门ID
  deptId: string;
  // 所属部门名称
  deptName: string;
  // 地图标记点位置图片旋转值
  mapOrientation: number;
  // 地图设计器默认中心点位置
  mapCenter: string;
  // 用户状态
  status: string;
  // 指定登录后首页跳转
  homePath?: string;
  [key: string]: any;
}

/** 用户响应对象 */
export type UserResult = R<KiccUser[]>;
