/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { Workflow } from '/@/api/platform/workflow/entity/workflow';
import { defHttp } from '/@/utils/http/axios';
import { FormProperty } from '/@/api/platform/workflow/entity/formProperty';

enum Api {
  startProcessDefinition = '/workflow_proxy/workflow/form/startProcessDefinition',
  getTaskFormData = '/workflow_proxy/workflow/form/getTaskFormData',
  getProcessStartEventFormData = '/workflow_proxy/workflow/form/getProcessStartEventFormData',
  auditTask = '/workflow_proxy/workflow/form/auditTask',
  getHistoryFormTaskData = '/workflow_proxy/workflow/form/getHistoryFormTaskData',
}

export const startProcessDefinition = (data: Partial<Workflow>) => defHttp.post<string>({ url: Api.startProcessDefinition, data });

export const getTaskFormData = (taskId: string) => defHttp.get<FormProperty[]>({ url: `${Api.getTaskFormData}/${taskId}` });

export const getProcessStartEventFormData = (processDefId: string) => defHttp.get<FormProperty[]>({ url: `${Api.getProcessStartEventFormData}/${processDefId}` });

export const auditTask = (data: Partial<Workflow>) => defHttp.post({ url: Api.auditTask, data });

export const getHistoryFormTaskData = (params?: Recordable) => defHttp.get<FormProperty[]>({ url: Api.getHistoryFormTaskData, params });
