import type { FormType } from './formType';

export interface FormProperty {
  /** The key used to submit the property */
  id: string;
  /** The display label */
  name: string;
  /** Type of the property. */
  type: FormType;
  /** Optional value that should be used to display in this property */
  value: string;
  /** Is this property read to be displayed in the form and made accessible */
  readable: boolean;
  /** Is this property expected when a user submits the form? */
  isWritable: boolean;
  /** Is this property a required input field */
  required: boolean;
  [key:string]: any;
}
