import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';
import type { TaskInfo } from './taskInfo';
import type { HistoryTaskInfo } from './historyTaskInfo';

export type ProcessInstanceInfoParams = Page & ProcessInstanceInfo;

export interface ProcessInstanceInfo {
  processInsId: string;
  processDefId: string;
  processDefKey: string;
  processDefName: string;
  version: number;
  startTime: string;
  endTime: string;
  activityId: string;
  taskName: string;
  deleteReason: string;
  taskInfo: TaskInfo;
  mesName: string;
  mesCode: string;
  mesLevel: string;
  historyTaskInfo: HistoryTaskInfo;
  vars: Recordable;
  [key:string]: any;
}

export type ProcessInstanceInfoResult = R<ProcessInstanceInfo[]>;
