import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';
import type { ProcessDefinitionInfo } from './processDefinitionInfo';

export type WorkflowModelParams = Page & WorkflowModel;

export interface WorkflowModel {
  id: string;
  name: string;
  modelKey: string;
  description: string;
  modelComment: string;
  createTime: string;
  createById: string;
  updateTime: string;
  updateById: string;
  version: number;
  modelEditorJson: string;
  thumbnail: Blob;
  modelType: number;
  tenantId: string;
  processDefinition: ProcessDefinitionInfo;
  [key:string]: any;
}

export type WorkflowModelResult = R<WorkflowModel[]>;
