/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { ActivityExtensionData, ActivityExtensionDataParams } from '/@/api/platform/workflow/extension/entity/activityExtensionData';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  findByDefIdAndTaskId = '/workflow_proxy/workflow/extension/activityExtensionData/findByDefIdAndTaskId',
  get = '/workflow_proxy/workflow/extension/activityExtensionData',
  save = '/workflow_proxy/workflow/extension/activityExtensionData/save',
  del = '/workflow_proxy/workflow/extension/activityExtensionData/remove',
}

export const findByDefIdAndTaskId = (params: Partial<ActivityExtensionDataParams>) => defHttp.get<ActivityExtensionData>({ url: Api.findByDefIdAndTaskId, params });

export const getActivityExtensionData = (id: string) => defHttp.get<ActivityExtensionData>({ url: `${Api.get}/${id}` });

export const saveActivityExtensionData = (data: Partial<ActivityExtensionData>[])=> defHttp.post({ url: Api.save ,data });

export const delActivityExtensionData = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
