/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { ActivityExtensionPropertyParams, ActivityExtensionProperty } from '/@/api/platform/workflow/extension/entity/activityExtensionProperty';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  findByDefIdAndTaskIdAndKey = '/workflow_proxy/workflow/extension/activityExtensionProperty/findByDefIdAndTaskIdAndKey',
  get = '/workflow_proxy/workflow/extension/activityExtensionProperty',
  save = '/workflow_proxy/workflow/extension/activityExtensionProperty/save',
  del = '/workflow_proxy/workflow/extension/activityExtensionProperty/remove',
}

export const findByDefIdAndTaskIdAndKey = (params: Partial<ActivityExtensionPropertyParams>) => defHttp.get<ActivityExtensionProperty>({ url: Api.findByDefIdAndTaskIdAndKey, params });

export const getActivityExtensionProperty = (id: string) => defHttp.get<ActivityExtensionProperty>({ url: `${Api.get}/${id}` });

export const saveActivityExtensionProperty = (data: Partial<ActivityExtensionProperty>[])=> defHttp.post({ url: Api.save ,data });

export const delActivityExtensionProperty = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
