/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { ButtonParams, Button, ButtonResult } from '/@/api/platform/workflow/extension/entity/button';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/workflow_proxy/workflow/extension/button/list',
  get = '/workflow_proxy/workflow/extension/button',
  save = '/workflow_proxy/workflow/extension/button/save',
  edit = '/workflow_proxy/workflow/extension/button/update',
  del = '/workflow_proxy/workflow/extension/button/remove',
}

export const listButton = (params?: Partial<ButtonParams>) => defHttp.get<ButtonResult>({ url: Api.list, params}, { isReturnResultResponse: true });

export const addButton = (params: Partial<Button>)=> defHttp.post({ url: Api.save ,data: params});

export const editButton = (params: Partial<Button>) => defHttp.put({ url: Api.edit, data: params});

export const getButton = (id: string) => defHttp.get<Button>({ url: `${Api.get}/${id}` });

export const delButton = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
