/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { ConditionParams, Condition, ConditionResult } from '/@/api/platform/workflow/extension/entity/condition';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/workflow_proxy/workflow/extension/condition/list',
  get = '/workflow_proxy/workflow/extension/condition',
  save = '/workflow_proxy/workflow/extension/condition/save',
  edit = '/workflow_proxy/workflow/extension/condition/update',
  del = '/workflow_proxy/workflow/extension/condition/remove',
}

export const listCondition = (params?: Partial<ConditionParams>) => defHttp.get<ConditionResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addCondition = (params: Partial<Condition>)=> defHttp.post({ url: Api.save ,data: params });

export const editCondition = (params: Partial<Condition>) => defHttp.put({ url: Api.edit, data: params });

export const getCondition = (id: string) => defHttp.get<Condition>({ url: `${Api.get}/${id}` });

export const delCondition = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
