/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { FormCategory, FormCategoryParams, FormCategoryResult } from '/@/api/platform/workflow/extension/entity/formCategory';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/workflow_proxy/workflow/extension/formCategory/list',
  get = '/workflow_proxy/workflow/extension/formCategory',
  save = '/workflow_proxy/workflow/extension/formCategory/save',
  edit = '/workflow_proxy/workflow/extension/formCategory/update',
  del = '/workflow_proxy/workflow/extension/formCategory/remove',
}

export const listFormCategory = (params?: Partial<FormCategoryParams>) => defHttp.get({ url: Api.list, params });

export const addFormCategory = (params: Partial<FormCategory>)=> defHttp.post({ url: Api.save ,data: params });

export const editFormCategory = (params: Partial<FormCategory>) => defHttp.put({ url: Api.edit, data: params });

export const getFormCategory = (id: string) => defHttp.get<FormCategory>({ url: `${Api.get}/${id}` });

export const delFormCategory = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
