/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { FormDefinition, FormDefinitionParams, FormDefinitionResult } from '/@/api/platform/workflow/extension/entity/formDefinition';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/workflow_proxy/workflow/extension/formDefinition/list',
  get = '/workflow_proxy/workflow/extension/formDefinition',
  save = '/workflow_proxy/workflow/extension/formDefinition/save',
  edit = '/workflow_proxy/workflow/extension/formDefinition/update',
  del = '/workflow_proxy/workflow/extension/formDefinition/remove',
}

export const listFormDefinition = (params?: Partial<FormDefinitionParams>) => defHttp.get<FormDefinitionResult>({url: Api.list, params}, { isReturnResultResponse: true });

export const addFormDefinition = (params: Partial<FormDefinition>)=> defHttp.post({url: Api.save ,data: params});

export const editFormDefinition = (params: Partial<FormDefinition>) => defHttp.put({url: Api.edit, data: params});

export const getFormDefinition = (id: string) => defHttp.get<FormDefinition>({url: `${Api.get}/${id}` });

export const delFormDefinition = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
