/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { FormDefinitionJsonParams, FormDefinitionJson, FormDefinitionJsonResult } from '/@/api/platform/workflow/extension/entity/formDefinitionJson';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/workflow_proxy/workflow/extension/formDefinitionJson/list',
  get = '/workflow_proxy/workflow/extension/formDefinitionJson',
  save = '/workflow_proxy/workflow/extension/formDefinitionJson/save',
  edit = '/workflow_proxy/workflow/extension/formDefinitionJson/update',
  del = '/workflow_proxy/workflow/extension/formDefinitionJson/remove',
  setPrimaryVersion = '/workflow_proxy/workflow/extension/formDefinitionJson/setPrimaryVersion'
}

export const listFormDefinitionJson = (params?: Partial<FormDefinitionJsonParams>) => defHttp.get<FormDefinitionJsonResult>({url: Api.list, params}, { isReturnResultResponse: true });

export const addFormDefinitionJson = (params: Partial<FormDefinitionJson>)=> defHttp.post({url: Api.save ,data: params});

export const editFormDefinitionJson = (params: Partial<FormDefinitionJson>) => defHttp.put({url: Api.edit, data: params});

export const getFormDefinitionJson = (id: string) => defHttp.get<FormDefinitionJson>({url: `${Api.get}/${id}` });

export const delFormDefinitionJson = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });

export const setPrimaryVersion = (id: string) => defHttp.put({ url:`${Api.setPrimaryVersion}/${id}` });
