/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { ListenerParams, Listener, ListenerResult } from '/@/api/platform/workflow/extension/entity/listener';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/workflow_proxy/workflow/extension/listener/list',
  get = '/workflow_proxy/workflow/extension/listener',
  save = '/workflow_proxy/workflow/extension/listener/save',
  edit = '/workflow_proxy/workflow/extension/listener/update',
  del = '/workflow_proxy/workflow/extension/listener/remove',
}

export const listListener = (params?: Partial<ListenerParams>) => defHttp.get<ListenerResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const addListener = (params: Partial<Listener>)=> defHttp.post({ url: Api.save ,data: params });

export const editListener = (params: Partial<Listener>) => defHttp.put({ url: Api.edit, data: params });

export const getListener = (id: string) => defHttp.get<Listener>({ url: `${Api.get}/${id}` });

export const delListener = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
