/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { ProcessCategory, ProcessCategoryParams, ProcessCategoryResult } from '/@/api/platform/workflow/extension/entity/processCategory';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/workflow_proxy/workflow/extension/category/list',
  get = '/workflow_proxy/workflow/extension/category',
  save = '/workflow_proxy/workflow/extension/category/save',
  edit = '/workflow_proxy/workflow/extension/category/update',
  del = '/workflow_proxy/workflow/extension/category/remove',
}

export const listProcessCategory = (params?: Partial<ProcessCategoryParams>) => defHttp.get({ url: Api.list, params });

export const addProcessCategory = (params: Partial<ProcessCategory>)=> defHttp.post({ url: Api.save ,data: params });

export const editProcessCategory = (params: Partial<ProcessCategory>) => defHttp.put({ url: Api.edit, data: params });

export const getProcessCategory = (id: string) => defHttp.get<ProcessCategory>({ url: `${Api.get}/${id}` });

export const delProcessCategory = (ids: string | Recordable[]) => defHttp.delete({ url: `${Api.del}/${ids}` });
