/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { WorkflowCopyParams, WorkflowCopy, WorkflowCopyResult } from '/@/api/platform/workflow/extension/entity/workflowCopy';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = '/workflow_proxy/workflow/extension/workflowCopy/list',
  get = '/workflow_proxy/workflow/extension/workflowCopy',
  save = '/workflow_proxy/workflow/extension/workflowCopy/save',
  del = '/workflow_proxy/workflow/extension/workflowCopy/remove',
}

export const listWorkflowCopy = (params?: Partial<WorkflowCopyParams>) => defHttp.get<WorkflowCopyResult>({ url: Api.list, params }, { isReturnResultResponse: true });

export const getWorkflowCopy = (id: string) => defHttp.get<WorkflowCopy>({ url: `${Api.get}/${id}` });

export const saveWorkflowCopy = (userIds: string, params: Partial<WorkflowCopy>)=> defHttp.post({ url: `${Api.save}/${userIds}` ,data: params });

export const delWorkflowCopy = (ids: string) => defHttp.delete({ url: `${Api.del}/${ids}` });
