import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';
import { WorkflowAssignee } from '/@/api/platform/workflow/extension/entity/workflowAssignee';
import { WorkflowButton } from '/@/api/platform/workflow/extension/entity/workflowButton';
import { WorkflowCondition } from '/@/api/platform/workflow/extension/entity/workflowCondition';

export type ActivityExtensionDataParams = Page & ActivityExtensionData;

export interface ActivityExtensionData extends CommonEntity {
  id:string;
  processDefId: string;
  activityDefId: string;
  workflowAssigneeList: WorkflowAssignee[];
  workflowButtonList: WorkflowButton[];
  workflowConditionList: WorkflowCondition[];
  [key: string]: any;
}

export type ActivityExtensionDataResult = R<ActivityExtensionData[]>;
