import { propTypes } from '/@/utils/propTypes';
import type { PropType } from 'vue';
import { Ace } from 'ace-builds';

export const basicProps = {
  value: propTypes.string.isRequired,
  lang: propTypes.string.def('text'),
  theme: propTypes.string.def('chrome'),
  options: {
    type: Object as PropType<Ace.EditorOptions>,
  },
  placeholder: propTypes.string.def(''),
  readonly: propTypes.bool,
  wrap: propTypes.bool,
  printMargin: {
    type: [Boolean, Number] as PropType<boolean | number>,
    default: true,
  },
  minLines: propTypes.number,
  maxLines: propTypes.number,
};
