import type { Ace } from 'ace-builds';

export interface AceEditorPrivate {
  _editor: Ace.Editor;
  _ro: ResizeObserver;
  _contentBackup: string;
  _isSettingContent: boolean;
}

export interface AceEditorState extends AceEditorPrivate {
  [key: string]: any;
}

export interface AceEditorProps {
  value: string;
  lang: string;
  theme: string;
  options: Partial<Ace.EditorOptions>;
  placeholder: string;
  readonly: boolean;
  wrap: boolean;
  printMargin: boolean | number;
  minLines: number;
  maxLines: number;

  /**
   * Callback executed when editor content
   * @param content
   */
  onChange?: (content: string) => void;
}

export interface AceEditorMethods {
  focus: () => void;
  blur: () => void;
  selectAll: () => void;
  setProps: (props: Partial<AceEditorProps>) => void;
  getAceInstance: () => Ace.Editor;
}

export interface AceEditorInstance extends
  AceEditorPrivate,
  AceEditorProps,
  AceEditorMethods {}
