/**
 * @program: kicc-ui
 * @description: 用户权限枚举
 * @author: wangxiang4
 * @create: 2023/4/21
 */

/** 系统用户类型 */
export enum SystemUserType {
  ADMIN = '0',
  NORMAL_USER = '1',
  ENTERPRISE_USER = '2',
  SAMPLE_COLLECTOR = '3',
  CUSTOMER_SERVICE = '4',
  INTERNAL_USER = '5',
}

export enum SystemUserTypeName {
  ADMIN = '系统管理员',
  NORMAL_USER = '普通用户',
  ENTERPRISE_USER = '企业用户',
  SAMPLE_COLLECTOR = '收样员',
  CUSTOMER_SERVICE = '客服',
  INTERNAL_USER = '企业内部用户',
}

export const SystemUserTypeMap: Map<SystemUserType, SystemUserTypeName> = (() => {
  const map = new Map<SystemUserType, SystemUserTypeName>();
  map.set(SystemUserType.ADMIN, SystemUserTypeName.ADMIN);
  map.set(SystemUserType.NORMAL_USER, SystemUserTypeName.NORMAL_USER);
  map.set(SystemUserType.ENTERPRISE_USER, SystemUserTypeName.ENTERPRISE_USER);
  map.set(SystemUserType.SAMPLE_COLLECTOR, SystemUserTypeName.SAMPLE_COLLECTOR);
  map.set(SystemUserType.CUSTOMER_SERVICE, SystemUserTypeName.CUSTOMER_SERVICE);
  map.set(SystemUserType.INTERNAL_USER, SystemUserTypeName.INTERNAL_USER);
  return map;
})();
