/**
 * @program: kicc-ui
 * @description: 组件挂载或激活工具
 * @author: wangxiang4
 * @create: 2022/4/10
 */

import { nextTick, onMounted, onActivated } from 'vue';

export function onMountedOrActivated(hook: Fn) {
  let mounted: boolean;

  onMounted(() => {
    hook();
    nextTick(() => {
      mounted = true;
    });
  });

  onActivated(() => {
    if (mounted) {
      hook();
    }
  });
}
