/**
 * 解析微应用子列表
 * @param name: 微应用名称具有唯一性
 * @param entry: 微应用入口必选,通过该地址加载微应用
 * @param container: 微应用挂载节点,微应用加载完成后将挂载在该节点上
 * @param activeRule: 微应用触发的路由规则,触发路由规则后将加载该微应用
 */
import type { RegistrableApp } from 'qiankun';

const _apps: RegistrableApp<object>[] = [];
for (const key in import.meta.env) {
  if (key.includes('VITE_APP_SUB_')) {
    const name = key.split('VITE_APP_SUB_')[1];
    const obj = {
      name,
      entry: import.meta.env[key],
      container: '#microAppContent',
      activeRule: name,
    };
    _apps.push(obj);
  }
}

export const apps = _apps;
