import { AppRouteModule } from '/@/router/types';
import { LAYOUT } from '/@/router/constant';
import charts from '../demo/charts';
import comp from '../demo/comp';
import feat from '../demo/feat';
import iframe from '../demo/iframe';
import level from '../demo/level';
import page from '../demo/page';
import permission from '../demo/permission';
import setup from '../demo/setup';
import { isProdMode } from '/@/utils/env';

const demoFeat: AppRouteModule = {
  path: '/demoFeat',
  name: 'DemoFeat',
  component: LAYOUT,
  redirect: '/setup/index',
  meta: {
    icon: 'ion:layers-outline',
    title: '组件&功能',
    hideMenu: isProdMode()
  },
  children: [
    setup,
    charts,
    comp,
    feat,
    iframe,
    level,
    page,
    permission,
  ],
};

export default demoFeat;
