/**
 * @program: kicc-ui
 * @description: 时间操作工具
 * @author: wangxiang4
 * @create: 2022/4/8
 */

import dayjs from 'dayjs';

const DATE_TIME_FORMAT = 'YYYY-MM-DD HH:mm:ss';
const DATE_FORMAT = 'YYYY-MM-DD';

export function formatToDateTime(date?: dayjs.ConfigType, format = DATE_TIME_FORMAT): string {
  return dayjs(date).format(format);
}

export function formatToDate(date?: dayjs.ConfigType, format = DATE_FORMAT): string {
  return dayjs(date).format(format);
}

export const dateUtil = dayjs;

/** 添加日期范围 */
export function convertDateRange(params: Recordable, dateRange: string[]): Recordable {
  const search = params;
  search.beginTime = '';
  search.endTime = '';
  if (dateRange && dateRange?.length > 0) {
    search.beginTime = dateRange[0];
    search.endTime = dateRange[1];
  }
  return params;
}
