import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';

/** 表格列配置 */
export const columns: BasicColumn[] = [
  {
    title: '文件名',
    dataIndex: 'name',
    width: 100
  },
  {
    title: '更新时间',
    dataIndex: 'updateTime',
    width: 100
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
    width: 100
  },
];

/** 搜索表单配置 */
export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '文件名',
    component: 'Input',
    componentProps: {
      placeholder: '请输入文件名',
    },
    colProps: { span: 8 },
  },
  {
    field: 'dateRange',
    label: '创建时间',
    component: 'RangePicker',
    componentProps: {
      style: { width:'100%' },
      valueFormat: 'YYYY-MM-DD',
      placeholder: ['开始日期','结束日期']
    },
    colProps: { span: 8 }
  }
];
