import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '标签',
    dataIndex: 'label'
  },
  {
    title: '完整类名',
    dataIndex: 'value'
  },
  {
    title: '数据接口',
    dataIndex: 'dataUrl'
  },
  {
    title: '物理表名',
    dataIndex: 'tableName'
  },
  {
    title: '排序',
    dataIndex: 'sort'
  }
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'label',
    label: '标签',
    component: 'Input',
    componentProps: {
      placeholder: '请输入标签',
    },
    colProps: { span: 6 }
  },
  {
    field: 'value',
    label: '完整类名',
    component: 'Input',
    componentProps: {
      placeholder: '请输入完整类名',
    },
    colProps: { span: 6 }
  }
];

export const formSchema: FormSchema[] = [
  {
    field: 'id',
    label: 'ID',
    component: 'Input',
    show: false
  },
  {
    field: 'label',
    label: '标签',
    component: 'Input',
    colProps: { span: 16 },
    required: true
  },
  {
    field: 'value',
    label: '完整类名',
    component: 'Input',
    colProps: { span: 16 },
    required: true
  },
  {
    field: 'dataUrl',
    label: '数据接口',
    component: 'Input',
    colProps: { span: 16 }
  },
  {
    field: 'tableName',
    label: '物理表名',
    component: 'Input',
    colProps: { span: 16 }
  },
  {
    field: 'sort',
    label: '排序',
    component: 'InputNumber',
    colProps: { span: 16 },
    required: true,
    componentProps: {
      style: { width:'100%' },
      min: 0
    }
  },
  {
    field: 'type',
    label: '基本类型',
    component: 'RadioGroup',
    colProps: { span: 16 },
    required: true,
    defaultValue: '1',
    componentProps: {
      options: [
        { label: '是', value: '1' },
        { label: '否', value: '0' }
      ]
    }
  }
];

export const formSchemaGencodeCustomField: FormSchema[] = [
  {
    field: 'id',
    label: 'ID',
    component: 'Input',
    show: false
  },
  {
    field: '_action',
    label: '操作标识字段',
    component: 'Input',
    show: false
  },
  {
    field: 'name',
    label: 'java属性',
    component: 'Input',
    required: true
  },
  {
    field: 'remarks',
    label: '备注',
    component: 'InputTextArea',
    required: true,
    componentProps: {
      rows: 3
    }
  },
  {
    field: 'sort',
    label: '排序',
    component: 'InputNumber',
    componentProps: {
      style: { width:'100%' },
      min: 0
    },
    required: true
  }
];

export const gencodeCustomFieldColumns: BasicColumn[] = [
  {
    title: 'java属性',
    dataIndex: 'name'
  },
  {
    title: '备注',
    dataIndex: 'remarks'
  },
  {
    title: '排序',
    dataIndex: 'sort'
  }
];
