import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '数据库类型',
    dataIndex: 'type'
  }
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'type',
    label: '数据库类型',
    component: 'Select',
    colProps: { span: 6 },
    componentProps: {
      options: [
        { label: 'mysql', value: 'mysql' },
        { label: 'oracle', value: 'oracle' },
        { label: 'mssql', value: 'mssql' },
        { label: 'postgre', value: 'postgre' }
      ],
    }
  }
];

export const formSchema: FormSchema[] = [
  {
    field: 'id',
    label: 'ID',
    component: 'Input',
    show: false
  },
  {
    field: 'type',
    label: '数据库类型',
    component: 'Select',
    colProps: { span: 16 },
    required: true,
    componentProps: {
      options: [
        { label: 'mysql', value: 'mysql' },
        { label: 'oracle', value: 'oracle' },
        { label: 'mssql', value: 'mssql' },
        { label: 'postgre', value: 'postgre' }
      ],
    }
  }
];

export const formSchemaGenTableFieldType: FormSchema[] = [
  {
    field: 'id',
    label: 'ID',
    component: 'Input',
    show: false
  },
  {
    field: '_action',
    label: '操作标识字段',
    component: 'Input',
    show: false
  },
  {
    field: 'label',
    label: '标签',
    component: 'Input',
    required: true
  },
  {
    field: 'value',
    label: '值',
    component: 'Input',
    required: true
  },
  {
    field: 'sort',
    label: '排序',
    component: 'InputNumber',
    componentProps: {
      style: { width:'100%' },
      min: 0
    },
    required: true
  }
];

export const genTableFieldTypeReloadColumns: BasicColumn[] = [
  {
    title: '标签',
    dataIndex: 'label'
  },
  {
    title: '值',
    dataIndex: 'value'
  },
  {
    title: '排序',
    dataIndex: 'sort'
  }
];
