import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '标签',
    dataIndex: 'label',
    width: 100
  },
  {
    title: '值',
    dataIndex: 'value',
    width: 100
  },
  {
    title: 'ui组件',
    dataIndex: 'component',
    width: 130
  },
  {
    title: '引入路径',
    dataIndex: 'importpath',
    width: 90
  },
  {
    title: '排序',
    dataIndex: 'sort',
    width: 130
  }
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'label',
    label: '标签',
    component: 'Input',
    componentProps: {
      placeholder: '请输入标签',
    },
    colProps: { span: 6 }
  },
  {
    field: 'value',
    label: '值',
    component: 'Input',
    componentProps: {
      placeholder: '请输入值',
    },
    colProps: { span: 6 }
  }
];

export const formSchema: FormSchema[] = [
  {
    field: 'id',
    label: 'ID',
    component: 'Input',
    show: false
  },
  {
    field: 'label',
    label: '标签',
    component: 'Input',
    required: true
  },
  {
    field: 'value',
    label: '值',
    component: 'Input',
    required: true
  },
  {
    field: 'component',
    label: 'UI组件',
    component: 'Input'
  },
  {
    field: 'importpath',
    label: '引入路径',
    component: 'Input'
  },
  {
    field: 'sort',
    label: '排序',
    component: 'InputNumber',
    componentProps: {
      style: { width:'100%' },
      min: 0
    },
    required: true
  }
];
