import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { h } from 'vue';
import { Tag } from 'ant-design-vue';

export const columns: BasicColumn[] = [
  {
    title: '流程定义ID',
    dataIndex: 'formDefinitionId',
    width: 120
  },
  {
    title: '流程表单结构体',
    dataIndex: 'json',
    width: 220,
    ellipsis: true
  },
  {
    title: '版本号',
    dataIndex: 'version',
    width: 80
  },
  {
    title: '状态',
    dataIndex: 'status',
    width: 90,
    customRender: ({ record }) => {
      return record.status == '1' ?
          h(Tag, { color: 'success' }, () => '已发布'):
          h(Tag, { color: 'red' }, () => '未发布');
    }
  },
  {
    title: '是否主版本',
    dataIndex: 'isPrimary',
    width: 90,
    customRender: ({ record }) => {
      return record.isPrimary == '1' ?
          h(Tag, { color: 'success' }, () => '主版本'):
          h(Tag, { color: 'red' }, () => '非主版本');
    }
  }
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'version',
    label: '版本号',
    component: 'Input',
    componentProps: {
      placeholder: '请输入版本号',
    },
    colProps: { span: 8 },
  },
  {
    field: 'status',
    label: '状态',
    component: 'Select',
    componentProps: {
      options: [
        { label: '未发布', value: '0' },
        { label: '已发布', value: '1' }
      ]
    },
    colProps: { span: 8 }
  },
  {
    field: 'isPrimary',
    label: '是否主版本',
    component: 'Select',
    componentProps: {
      options: [
        { label: '非主版本', value: '0' },
        { label: '主版本', value: '1' }
      ]
    },
    colProps: { span: 8 }
  }
];
