import { BasicColumn, FormSchema } from '/@/components/Table';
import { h } from 'vue';
import { Tag } from 'ant-design-vue';

export const columns: BasicColumn[] = [
  {
    title: '流程标题',
    dataIndex: ['vars', 'title'],
    width: 200,
  },
  {
    title: '流程名称',
    dataIndex: 'processDefName',
    width: 200,
  },
  {
    title: '当前环节',
    dataIndex:  ['taskInfo', 'name'],
    width: 150,
    customRender: ({ record }) => {
      const taskName = record.taskInfo?.name;
      return h(Tag, { color: 'processing' }, () =>  taskName);
    }
  },
  {
    title: '流程发起人',
    dataIndex: ['vars', 'userName'],
    width: 150
  },
  {
    title: '创建时间',
    dataIndex: ['taskInfo', 'createTime'],
    width: 200
  }
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'title',
    label: '流程标题',
    component: 'Input',
    componentProps: {
      placeholder: '请输入流程标题',
    },
    colProps: { span: 8 }
  },
  {
    field: 'dateRange',
    label: '创建时间',
    component: 'RangePicker',
    componentProps: {
      style: { width:'100%' },
      valueFormat: 'YYYY-MM-DD',
      placeholder: ['开始日期','结束日期']
    },
    colProps: { span: 8 }
  }
];

export const historyColumns: BasicColumn[] = [
  {
    title: '任务名称',
    dataIndex: 'name',
    width: 200,
  },
  {
    title: '流程标题',
    dataIndex: ['vars', 'title'],
    width: 200,
  },
  {
    title: '流程名称',
    dataIndex: 'processDefName',
    width: 200,
  },
  {
    title: '办理状态',
    dataIndex:  'mesName',
    width: 150,
    customRender: ({ record }) => {
      return h(Tag, { color: 'processing' }, () =>  record.mesName);
    }
  },
  {
    title: '流程发起人',
    dataIndex: ['vars', 'userName'],
    width: 150
  },
  {
    title: '完成时间',
    dataIndex: 'endTime',
    width: 200
  }
];
