import { BasicColumn } from '/@/components/Table';
import { h } from 'vue';
import { Tag } from 'ant-design-vue';

export const columns: BasicColumn[] = [
  {
    title: '执行环节',
    dataIndex: ['historicActivityInstance', 'activityName'],
    customRender: ({ record }) => {
      const activityName = record.historicActivityInstance?.activityName;
      return h(Tag, { color: 'processing' }, () => activityName || '结束');
    },
    width: 200,
  },
  {
    title: '执行人',
    dataIndex: 'assigneeName',
    width: 200,
  },
  {
    title: '开始时间',
    dataIndex: ['historicActivityInstance', 'startTime'],
    width: 150,
    customRender: ({ record }) => {
      return record.historicActivityInstance?.startTime || '--';
    }
  },
  {
    title: '结束时间',
    dataIndex:  ['historicActivityInstance', 'endTime'],
    width: 150,
    customRender: ({ record }) => {
      return record.historicActivityInstance?.endTime || '--';
    }
  },
  {
    title: '办理状态',
    dataIndex: ['activityCommentInfo', 'mesName'],
    width: 200,
  },
  {
    title: '审批意见',
    dataIndex: ['activityCommentInfo', 'message'],
    width: 200,
  },
  {
    title: '任务历时',
    dataIndex: 'durationTime',
    width: 200,
    customRender: ({ record }) => {
      const durationTime = record.durationTime;
      return h(Tag, { color: 'processing' }, () => durationTime || '0秒');
    }
  }
];
