/**
 * @program: kicc-ui
 * @description: 路由配置信息定义
 * @author: wangxiang4
 * @create: 2022/4/8
 */

export {};

declare module 'vue-router' {
  interface RouteMeta extends Record<string | number | symbol, unknown> {
    // 标题
    title: string;
    // 路由组件名称（用于路由组件缓存）
    compName?: string;
    // 动态路由打开数,超过数量自动关闭最前的tabs标签 (标签页复用)
    dynamicLevel?: number;
    // 动态路由器真实路由路径（为了性能）
    realPath?: string;
    // 是否缓存
    keepAlive?: boolean;
    // 是否固定在选项卡上
    affix?: boolean;
    // 选项卡上的图标
    icon?: string;
    // Iframe内嵌显示地址
    frameSrc?: string;
    // 当前页面转换
    transitionName?: string;
    // 路由是否动态添加
    hideBreadcrumb?: boolean;
    // 隐藏子菜单
    hideChildrenInMenu?: boolean;
    // 承载参数
    carryParam?: boolean;
    // 当前活动菜单
    currentActiveMenu?: string;
    // 从不显示在选项卡中
    hideTab?: boolean;
    // 从不显示在菜单中
    hideMenu?: boolean;
    // 只为构建菜单
    ignoreRoute?: boolean;
    // 为孩子隐藏路径
    hidePathForChildren?: boolean;
  }
}
